Package com.github.lgooddatepicker.zinternaltools

# Class TimeChangeEvent

java.lang.Object
com.github.lgooddatepicker.zinternaltools.TimeChangeEvent

public class TimeChangeEvent extends Object
TimeChangeEvent, An instance of this event class is passed to each registered TimeChangeListener, each time that the time in a time picker changes.

## Constructor Summary

Constructors
Constructor
Description
`TimeChangeEvent(TimePicker source, LocalTime oldTime, LocalTime newTime)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`LocalTime`
`getNewTime()`
getNewTime, Returns the new value of the TimePicker time.
`LocalTime`
`getOldTime()`
getOldTime, Returns the previous value of the TimePicker time.
`TimePicker`
`getSource()`
getSource, Returns the time picker that generated the event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeChangeEvent

public TimeChangeEvent(TimePicker source, LocalTime oldTime, LocalTime newTime)
Constructor.

## Method Details

### getSource

public TimePicker getSource()
getSource, Returns the time picker that generated the event.

### getOldTime

public LocalTime getOldTime()
getOldTime, Returns the previous value of the TimePicker time. This is the value that existed before the time was changed.

### getNewTime

public LocalTime getNewTime()
getNewTime, Returns the new value of the TimePicker time. This is the value that currently exists. (Put in another way, this is the value that exists after the time was changed.)